Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163381 - RHEL3U5 x86-64 : xw9300 & numa=on swaps behaviour is unexpected
Summary: RHEL3U5 x86-64 : xw9300 & numa=on swaps behaviour is unexpected
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Larry Woodman
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 168424
TreeView+ depends on / blocked
 
Reported: 2005-07-15 18:40 UTC by Issue Tracker
Modified: 2007-11-30 22:07 UTC (History)
4 users (show)

Fixed In Version: RHSA-2006-0144
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-03-15 16:16:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0144 qe-ready SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 7 2006-03-15 05:00:00 UTC

Description Issue Tracker 2005-07-15 18:40:15 UTC
Escalated to Bugzilla from IssueTracker

Comment 30 Jim Paradis 2005-08-16 19:07:52 UTC
I'll try the reproducer, but my opinion at this point is that this is a known
issue with RHEL3 NUMA that will not be fixed in an update.  Basically, NUMA will
allocate all memory on a thread's home node before resorting to using other
nodes.  This causes swapping to occur when we get over the swap threshold for a
given node, even if other nodes have plenty of free memory.  Fixing this would
require either swap parameter changes or significant invasive VM changes that
are too invasive for a late update, in my opinion.


Comment 35 Ernie Petrides 2005-08-29 21:19:09 UTC
This is essentially a duplicate of bug 130387.

Comment 37 Ernie Petrides 2005-11-30 07:49:11 UTC
A fix for this problem has just been committed to the RHEL3 U7
patch pool this evening (in kernel version 2.4.21-37.12.EL).

To enable an improved NUMA-friendly page allocation policy, please
set /proc/sys/vm/numa_memory_allocator via the "sysctl" command
(or put "vm.numa_memory_allocator = 1" in /etc/sysctl.conf).


Comment 39 Peter Martuccelli 2005-12-08 14:52:16 UTC
Bug fix, Devel ACK.

Comment 42 Red Hat Bugzilla 2006-03-15 16:16:14 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0144.html



Note You need to log in before you can comment on or make changes to this bug.